# Uses of Enum Class
javafx.scene.shape.StrokeType

Packages that use StrokeType
Package
Description
javafx.scene.layout
Provides classes to support user interface layout.
javafx.scene.shape
Provides the set of 2D classes for defining and performing operations on objects related to two-dimensional geometry.

## Uses of StrokeType in javafx.scene.layout

Methods in javafx.scene.layout that return StrokeType
Modifier and Type
Method
Description
`final StrokeType`
BorderStrokeStyle.`getType()`
Defines the direction (inside, outside, or both) that the strokeWidth is applied to the boundary of the shape.
Constructors in javafx.scene.layout with parameters of type StrokeType
Modifier
Constructor
Description
``
`BorderStrokeStyle(StrokeType type, StrokeLineJoin lineJoin, StrokeLineCap lineCap, double miterLimit, double dashOffset, List<Double> dashArray)`
Creates a new BorderStrokeStyle.

## Uses of StrokeType in javafx.scene.shape

Methods in javafx.scene.shape that return StrokeType
Modifier and Type
Method
Description
`final StrokeType`
Shape.`getStrokeType()`
Gets the value of the `strokeType` property.
`static StrokeType`
StrokeType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StrokeType[]`
StrokeType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.shape that return types with arguments of type StrokeType
Modifier and Type
Method
Description
`final ObjectProperty<StrokeType>`
Shape.`strokeTypeProperty()`
Defines the direction (inside, centered, or outside) that the strokeWidth is applied to the boundary of the shape.
Methods in javafx.scene.shape with parameters of type StrokeType
Modifier and Type
Method
Description
`final void`
Shape.`setStrokeType(StrokeType value)`
Sets the value of the `strokeType` property.